# Update a webhook Update a previously created webhook. Endpoint: PATCH /webhooks/{webhookId} Version: 26.2.0.4309 Security: Bearer ## Path parameters: - `webhookId` (string, required) Identifier of a previously created webhook. ## Request fields (application/json): - `url` (string) The URL we will make an HTTP POST request to when an event of type occurs. - `secret` (string) An optional secret which will be passed in the X-Secret header to the webhook callback URL. - `allowInsecureUrl` (boolean) Set to true to allow insecure callback URLs such as URLs without SSL or URLs with self signed certificates. - `includeSensitiveInfo` (boolean) If set to false, the sensitive info will be masked in the webhook payload. The default value is true. ## Response 200 fields (application/json): - `id` (string) Unique identifier associated with this webhook. - `type` (string) The event type that should trigger this webhook. Enum: "VerificationCompleted", "ExportCompleted", "LicenseExpiresSoon", "LicenseExpired", "LicenseChanged", "DatasetScanCompleted", "LicenseStatusChanged", "ProviderStatusChanged", "ProviderProfileImportCompleted", "CredentialingRequestChanged", "GenerateReport", "DatasetScanMatchesChanged", "NpdbUpdateRequestRejected" - `url` (string) The URL we will make an HTTP POST request to when an event of type occurs. - `allowInsecureUrl` (boolean) Set to true if the webhook was created to allow insecure URLs that use no SSL or self signed certificates. - `includeSensitiveInfo` (boolean) If set to false, the sensitive info will be masked in the webhook payload. The default value is true. ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 409 fields ## Response 500 fields